function C=kolona4(N,vystup)
%==========================================================================
% KOLONA4 - funkcia, ktor vypota maticu C v ustlenom (rovnovnom)
% stave. Funkcia je vytvoren pre systm etova rektifikan kolona a je
% sasou funkcii pouvanch v bloku ETAZOVA REKTIFIKACNA KOLONA
% vstupn parametre:
%       N - poet eti kolony - nie je zapotan vark a kondenztor
%       vystup - vektor sledovanch velin, ktor nadobda hodnoty 0 - 1
%                a jeho rozmer je (1 x N+2) t.j. [x0 .. xi .. xN+1]
%                   0 = ak nechceme dan veliinu sledova - vykresli
%                   1 = ak chceme dan veliinu sledova - vykresli
% vystupn parametre:
%       C - matica C - matica vstupu
%==========================================================================

%test sprvneho zadania potu vstupnch parametrov
if nargin==2
    n=N+2;
    k=0;
    %vytvorenie matice vstupu - matice C
    if length(vystup) == n
        l=find(vystup);
        k=length(l);
        for (i=1:1:n+2)
            for (j=1:1:k)
                if l(j)==i
                    C(j,i)=1;
                else
                    C(j,i)=0;
                end
            end
        end
    else
        error('NESPRAVNE ZADANY VEKTOR SLEDOVANYCH VELICIN ALEBO INY PARAMETER FUNKCIE')
    end
else
    error('NESPRAVNE ZADANE VSTUPNE PARAMETRE')
end
