function C=pl_vymenniky4(n,vystup)
%==========================================================================
% PL_VYMENNIKY4 - funkcia ktor vypota maticu C v ustlenom (rovnovnom)
% stave. pre systm n-pltovch vmennkov tepla ohrievanch parou resp.
% pre systm n-pltovch vmennkov ohrievanch poutm uritho ohrevnho
% zdroja.
% vstupn parametre:
%       n  - poet vmennkov tepla. Rozmer (1 x 1)
%       vstup - vektor sledovanch velin, ktor nadobda hodnoty 0 - 1
%                a jeho rozmer je (1 x 5) t.j. [ci .. cn Tv  Tvc]
%                   0 = ak nechceme dan veliinu mera - vykresli
%                   1 = ak chceme dan veliinu mera - vykresli
% vystupn parametre:
%       C - matica C - matica vstupu
%==========================================================================

% test sprvneho zadania potu vstupnch parametrov
if nargin == 2
    k=0;
    %vytvorenie matice vstupu - matice C
    if length(vystup) == n
        l=find(vystup);
        k=length(l);
        % vpoet jednotlivch prvkov matice C
        for(i=1:1:n)
            for(j=1:1:k)
                if l(j)==i
                    C(i,j)=1;    
                else
                    C(i,j)=0;
                end
            end
        end
    else
        error ('NESPRAVNE ZADANY POCET SLEDOVANYCH VYSOK HLADIN')
    end
else
    error ('NESPRAVNY ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================
