function C=DRVTS4(n,vystup)
%==========================================================================
% DRVTS_4 - funkcia, ktor vypota maticu C v ustlenom (rovnovnom)
% stave. Funkcia je vytvoren pre systm dvojkapacitn sprudov rrkov 
% vmennk tepla. Funkcia je vyuvan v bloku DVOJKAPACITNY RURKOVY
% VYMENNIK TEPLA - sprudov.
% vstupn parametre:
%       n - poet sekov pri diskretizcii
%       vstup - vektor sledovanch velin, ktor nadobda hodnoty 0 - 1
%                a jeho rozmer je (1 x 2n) t.j. [.. T1(i) T3(i) ..]
%                   0 = ak nechceme dan veliinu mera - vykresli
%                   1 = ak chceme dan veliinu mera - vykresli
% vystupn parametre:
%       C - matica C - matica vstupu
%==========================================================================

% test sprvneho zadania potu vstupnch parametrov
if nargin == 2
    k=0;
    %vytvorenie matice vstupu - matice C
    if length(vystup) == 2*n
        l=find(vystup);
        k=length(l);
        % vpoet jednotlivch prvkov matice C
        for(i=1:1:k)
            for(j=1:1:2*n)
                if l(i)==j
                    C(i,j)=1;    
                else
                    C(i,j)=0;
                end
            end
        end
    else
        error ('NESPRAVNE ZADANY POCET SLEDOVANYCH VELICIN')
    end
else
    error ('NESPRAVNY ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================
