function [m11,m31,t11,t31]=DRVTS5(vst,por,u,m1,m3,t1,t3)
%==========================================================================
% DRVTS5 - funkcia vytvoren pre systm dvojkapacitn sprudov rrkov 
% vmennk tepla. Funkcia na zklade zadanch vstupnch parametrov vytvor
% vektor vstupnch parametrov tak, e ur, ktor s riadiace, resp. 
% poruchov veliiny a ktor nie s. Funkcia je pouvan v s-funkcii
% DRVTSS.M.
% vstupn parametre
%       vst -  vektor aknch velin, ktor nadobda hodnoty 0 - 1 a jeho
%              rozmer je (1 x 4) t.j. [m1 m3 t1 t3]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
%       por -  vektor poruchovch velin, ktor nadobda hodnoty 0 - 1 a
%              jeho rozmer je (1 x 4) t.j. [m1 m3 t1 t3]
%                   0 = ak nie je dan veliina poruchov
%                   1 = ak je dan veliina akn - poruchov
%       u  - vektor aknch - riadiacich velin t.j. [m1 m3 t1 t3]
%       t1 - teplota mdia na vstupe do vntornej rrky vmennka tepla,
%            t.j. theta1(0). Rozmer (1 x 1) 
%       t3 - teplota mdia na vstupe do vonkajej rrky vmennka tepla,
%            t.j. theta3(0). Rozmer (1 x 1)
%       m1 - hmotnostn tok mdia vo vntornej rrke. Rozmer (1 x 1)
%       m3 - hmotnostn tok mdia vo vonkajej rrke. Rozmer (1 x 1)
% vstupn parametre
%       [m11 m31  t11 t31] - veliiny, ktor ak s akn - riadiace, resp.
%            poruchov je im priraden hodnota z vektora u inak je im
%            priraden hodnota prslunej vstupnej premennej.
%==========================================================================

%test sprvneho zadania vektorov vstupnch a poruchovch velin
if(length(vst)==length(por))
    pom=vst+por;
    a=find(pom>1);
    b=length(a);
    %test sprvneho zadania vektorov vstupnch a poruchovch velin
    if b==0
    k=find(pom);
    for(i=1:1:length(vst))
    %zskanie riadiacich resp poruchovch velin
    if((vst(i)==1 & por(i)==0) | (vst(i)==0 & por(i)==1))
        for(i=1:1:length(k))
            if(k(i)==1)     %je riadiaca alebo poruchova
                m11=u(i);
            end
            if(k(i)==2)     %je riadiaca alebo poruchova
                m31=u(i);
            end
            if(k(i)==3)     %je riadiaca alebo poruchova
                t11=u(i);
            end
            if(k(i)==4)     %je riadiaca alebo poruchova
                t31=u(i);
            end
        end
    else        %vst + por 0
    %zskanie stavovch velin
        pom1=pom-ones(1,length(pom));
        z=find(pom1);
        for(i=1:1:length(z))
            if(z(i)==1)     %je stavova
                m11=m1;
            end
            if(z(i)==2)     %je stavova
                m31=m3;
            end
            if(z(i)==3)     %je stavova
                t11=t1;
            end
            if(z(i)==4)     %je stavova
                t31=t3;
            end
        end  
    end
    end
    else
        error('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
    end
else
    error ('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
end

%==========================================================================
