function C = JRVTS_C(n,vystup);
%==========================================================================
% JRVTS_C - funkcia, ktora vypota maticu C v ustlenom (rovnovnom)
% stave.Funkcia je vytvren pre maticov tvar modelu jednokapacitnho
% sprudovho rrkovho vmennka tepla a je pouit v m-file JRVTS_M.
% vstupn parametre:
%       n  - poet sekov pri diskretizcii. Rozmer (1 x 1)
%       vstup - vektor sledovanch velin, ktor nadobda hodnoty 0 - 1
%                a jeho rozmer je (1 x n) t.j. [.. T1(i) ..]
%                   0 = ak nechceme dan veliinu mera - vykresli
%                   1 = ak chceme dan veliinu mera - vykresli
% vystupn parametre:
%       C - matica C - matica vstupu
%==========================================================================

% test sprvneho zadania potu vstupnch parametrov
if nargin == 2
    k=0;
    %vytvorenie matice vstupu - matice C
    if length(vystup) == n
        l=find(vystup);
        k=length(l);
        % vpoet jednotlivch prvkov matice C
        for(i=1:1:k)
            for(j=1:1:n)
                if l(i)==j
                    C(i,j)=1;    
                else
                    C(i,j)=0;
                end
            end
        end
    else
        error ('NESPRAVNE ZADANY POCET SLEDOVANYCH VYSOK HLADIN')
    end
else
    error ('NESPRAVNY ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================
