function C = matica_C(a,g);
%==========================================================================
% MATICA_C - funkcia ktor vypota maticu C v ustlenom (rovnovnom)
% stave. Funkcia je vytvoren pre linerizovan matematick model zsobnkov 
% kvapaliny a je pouvan v m-file MATICA.M.
% vstupn parametre:
%       a - poet zsobnkov
%       g - vektor sledovanch vok hladn jednotlivch zsobnkov 
%           [h1 h3 .. hi ..], rozmer (1 x n).     
% vystupn parametre:
%       C - matica C - matica vstupu
%==========================================================================

% test sprvneho zadania potu vstupnch parametrov
if nargin == 2
  % priradenia premennch
  r=length(g);
  % vytvorenie nulovej matice C
  C=zeros(r,a);
    % test sprvneho zadania potu sledovanch velin
    if ( a>=r)
        % vpoet jednotlivch prvkov matice C
        for(i=1:1:r)
            for(j=1:1:a)
                if(j==g(i))
                    C(i,j)=1;    
                else
                    C(i,j)=0;
                end
            end
        end
    else
        error ('NESPRAVNE ZADANY POCET SLEDOVANYCH VYSOK HLADIN')
    end
else
    error ('NESPRAVNY ZADANE VSTUPNE PARAMETRE')
end
%==========================================================================
