function [qvs1]=zasobniky4(c,u,qvs)
%==========================================================================
% ZASOBNIKY4 - funkcia vytvoren pre systm zsobnkov kvapaliny. Funkcia
% na zklade zadanch vstupnch parametrov vytvor vektor vstupnch
% parametrov tak, e ur, ktor s riadiace a ktor nie s. Funkcia je
% pouvan v s-funkcii ZASOBNIKY_NELIN.M.
% vstupn parametre 
%       c -  vektor aknch velin, ktor nadobda hodnoty 0 - 1 a jeho
%            rozmer je (1 x n) t.j. [qv1 qv2 .. qvn]
%                   0 = ak nie je dan veliina akn - riadiaca
%                   1 = ak je dan veliina akn - riadiaca
%       u  - vektor aknch - riadiacich velin t.j. [qv1 qv2 .. qvn] -
%            jeho rozmer zvs od voby aknch velin 
%            rozmer (1 x poet 1 vo vektore c)
%       qvs- vektor vstupnch prietokov do jednotlivch zsobnkov
%            kvapaliny. Rozmer (1 x n).
% vstupn parametre
%       [qvs1] - veliiny, ktor ak s akn - riadiace, je im priraden
%            hodnota z vektora u inak je im priraden hodnota prslunej 
%            vstupnej premennej.
%==========================================================================

%test sprvneho zadania vektorov vstupnch velin
if(length(c)==length(qvs))
    pom1=find(c);
    for(i=1:1:length(c))
        %zskanie riadiacich resp poruchovch velin
        if c(i)==1
            for(i=1:1:length(pom1))
                j = pom1(i);
                qvs1(j) = u(i);
            end
        else
            pom2 = c - ones(1,length(c));
            pom3 = find(pom2);
            for(i=1:1:length(pom3))
                k = pom3(i);
                qvs1(k) = qvs(k);
            end
        end
    end
else
    error ('NESPRAVNE ZADANE VEKTORY PORUCHY ALEBO VSTUPOV')
end

%==========================================================================
